---
title: Interface hilbish.history
description: command history
layout: doc
menu:
  docs:
    parent: "API"
---

## Introduction
The history interface deals with command history.
This includes the ability to override functions to change the main
method of saving history.

## Functions
### add(cmd)
Adds a command to the history.

### all() -> table
Retrieves all history.

### clear()
Deletes all commands from the history.

### get(idx)
Retrieves a command from the history based on the `idx`.

### size() -> number
Returns the amount of commands in the history.

